'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-770e06b1.js');
var React = require('react');
var useSealedState = require('reakit-utils/useSealedState');
require('../Id/IdProvider.js');
require('../Id/IdState.js');
require('reakit-utils/useIsomorphicEffect');
var DisclosureState = require('../Disclosure/DisclosureState.js');

function useDialogState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _useSealedState = useSealedState.useSealedState(initialState),
      _useSealedState$modal = _useSealedState.modal,
      initialModal = _useSealedState$modal === void 0 ? true : _useSealedState$modal,
      sealed = _rollupPluginBabelHelpers._objectWithoutPropertiesLoose(_useSealedState, ["modal"]);

  var _React$useState = React.useState(initialModal),
      modal = _React$useState[0],
      setModal = _React$useState[1];

  var hidden = DisclosureState.useDisclosureState(sealed);
  return _rollupPluginBabelHelpers._objectSpread2({
    modal: modal,
    setModal: setModal,
    unstable_modal: modal
  }, hidden);
}
var keys = [].concat(DisclosureState.useDisclosureState.__keys, ["modal", "setModal", "unstable_modal"]);
useDialogState.__keys = keys;

exports.useDialogState = useDialogState;
